Subject: bug#37689: Fringe pixmaps, widgets, etc. look ridiculously tiny in hidpi screen

From: Carlos Pita <[email-masked]>
Date: Mon, 14 Oct 2019 16:59:58 -0300

Ok, while working on this I bumped into a new problem and I'm stuck again.

In order to scale things "upstream" I need the scaling factor, but the
functions that compute the scaling factor are static functions defined
"downstream" in each backend: x_get_scale_factor in w32term.c, in
xterm.c. Or, in other places, some code that is conditional to GTK
simply calls xg_get_scale.

Do you know of any backend-agnostic way to get the scaling factor for
a frame? I don't want to replicate complex backend dependant code in
fringe.c.